<Input::ContainerGroup
  @isMainValue={{true}}
  @title={{@title}}
  @onSave={{this.save}}
  @onCancel={{this.cancel}}
  @onEdit={{@onEdit}}
  @editablePanel={{@editablePanel}}
  @savingPanel={{@savingPanel}}
  as |editMode|
>
  {{#if this.fieldList}}
    {{#each this.fieldList as |field|}}
      <hr />
      <div class='row'>
        {{#if editMode}}
          <div class='col col-12 fs-6 source-field'>
            <strong class='text-info'>{{field.key}}</strong>
          </div>
          <div class='col col-12 col-md-7 mb-2'>
            {{#each field.preview as |value|}}
              <div
                class='field-preview font-monospace bg-light text-dark text-wrap text-break mb-1'
              >
                {{value}}
              </div>
            {{/each}}
          </div>
          <div class='col col-12 col-md-5'>
            <Input::FeatureFieldMapping
              @value={{field.destination}}
              @key={{field.key}}
              @onChange={{fn this.updateMapping field.key}}
            />
          </div>
        {{else}}
          <div class='col col-12 fs-7 binded-value'>
            <strong class='text-info'>{{field.key}}</strong>

            {{#if field.destination}}
              <FaIcon @icon='arrows-alt-h' />
              <strong class='text-info'>{{field.destination}}</strong>
            {{else}}
              <span class='text-muted'>({{t 'ignored'}})</span>
            {{/if}}
          </div>

          {{#if field.preview}}
            <div class='col col-12 mt-1'>
              {{#each field.preview as |value|}}
                <div
                  class='field-preview font-monospace bg-light text-dark text-wrap text-break mb-1 fs-7'
                >
                  {{value}}
                </div>
              {{/each}}
            </div>
          {{/if}}
        {{/if}}
      </div>
    {{/each}}
  {{else}}
    <div class='alert alert-danger' role='alert'>
      {{t 'message-alert-missing-fields'}}
    </div>
  {{/if}}
</Input::ContainerGroup>